% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/family-fourier.R, R/op-cdo-fourier.R
\name{fourier}
\alias{fourier}
\alias{cdo_fourier}
\title{Fourier transformation}
\usage{
cdo_fourier(ifile, epsilon = NULL, ofile = NULL)
}
\arguments{
\item{ifile}{String with the path to the input file.}

\item{epsilon}{INTEGER - -1: forward transformation; 1: backward transformation}

\item{ofile}{String with the path to the output file.}
}
\value{
Operators that output one or more files return a character vector to the
output files.

Operators that output an indefinite number of files return a string with the
basename of the files.

Operatos that don't return filenames return a character vector with the
string output.
}
\description{
The fourier operator performs the fourier transformation or the inverse fourier transformation of all input fields. If the number of timesteps is a power of 2 then the algorithm of the Fast Fourier Transformation (FFT) is used.   If the input stream infile consists only of complex fields, then the fields of outfile, computed by cdo -f ext fourier,1 -fourier,-1 infile outfile are the same than that of infile. For real input files see function retocomplex.
}
\section{Note}{

Complex numbers can only be stored in NetCDF4 and EXTRA format.
}

